# Configuring client behaviour

- Configuring client behaviour
  - Settings
  - Helper scripts
    - gm-print_doc
    - gm-fax_doc
    - gm-mail_doc
    - gm-convert_file

## Settings

There is a wealth of configuration items to be found in the menu GNUmed > Options .... They all contain explanations as to what each means.

The items are logically grouped for improved findability.

## Helper scripts

During the GNUmed workflow various scripts are invoked which can be modified on a local system. The scripts must be found in the `PATH`. Thereby, depending on how the PATH variable is set up, users can override scripts provided system-wide or per instance.

### `gm-print_doc`

This script is invoked when the builtin printing methods seem to fail. It can be set up to eventually effect printing files as required on a particular machine.

### `gm-fax_doc`

This script is invoked when the user chooses to fax a document from the document tree context menu. It is passed names of temporary files into which the relevant document parts had been exported.

### `gm-mail_doc`

This script is invoked when the user chooses to email a document from the document tree context menu. It is passed names of temporary files into which the relevant document parts had been exported.

### `gm-convert_file`

This script is invoked whenever GNUmed needs to convert a file from one format into another.

Currently this only happens when a placeholder (such as `$<patient_photo::...::length>$` exports an image and the user requested it be converted into a certain image format.